<?php
/*
$Id: utilisateur.class.php,v 1.1 2006-05-16 18:44:59 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("dbform.class.php");

class utilisateur extends dbForm {

    var $table="utilisateur";
    var $clePrimaire= "idutilisateur";
    var $typeCle= "N" ;


function utilisateur($id,$db,$debug) {
$this->constructeur($id,$db,$debug);
} // fin constructeur

function setvalF($val){
$this->valF['idutilisateur'] = $val['idutilisateur'];
$this->valF['nom'] = $val['nom'];
$this->valF['login'] = $val['login'];
if ($val['pwd']=="")
    $this->valF['pwd']=$this->val[3];
else
   $this->valF['pwd'] = md5($val['pwd']);
$this->valF['profil'] = $val['profil'];
}
// pas d initialisation valF pour la cle primaire
function setValFAjout($val){
}
// initialisation valF pour la cle primaire

function setId($db){
// id automatique nextid
$this->valF['idutilisateur'] = $db->nextId($this->table);
}

function verifierAjout(){
}

function verifier(){
$this->correct=True;
// obligatoire
if ($this->valF['profil']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>profil obligatoire";
}
if ($this->valF['login']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>login obligatoire";
}
if ($this->valF['nom']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>nom obligatoire";
}
}//verifier

// formulaire
function setVal(&$form,$maj){
$form->setVal('pwd', "");
}

function setType(&$form,$maj) {
if ($maj < 2) { //ajouter et modifier
  $form->setType('profil', 'select');
  $form->setType('idutilisateur', 'hiddenstatic');
}else{ // supprimer
     $form->setType('idutilisateur', 'hiddenstatic');
}}

function setTaille(&$form,$maj){
$form->setTaille('idutilisateur', 8);
$form->setTaille('profil', 2);
$form->setTaille('nom', 30);
$form->setTaille('login', 30);
$form->setTaille('pwd', 50);

}
function setMax(&$form,$maj){
$form->setMax('idutilisateur',8 );
$form->setMax('profil', 2);
$form->setMax('nom', 30);
$form->setMax('login', 30);
$form->setMax('pwd', 100);
//
// ....
}
function setSelect(&$form, $maj,$db,$debug) {
include ("../dyn/connexion.php");
include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
if($maj<2){
$res = $db->query($sql_profil);
if (DB :: isError($res))
     die($res->getMessage().$sql_profil);
else{
 if ($debug == 1)
   echo " la requete ".$sql_profil." est exécutée<br>";
   $contenu[0][0]="";
   $contenu[1][0]=" Choisir un profil ";
   $k=1;
   while ($row=& $res->fetchRow()){
    $contenu[0][$k]=$row[0];
    $contenu[1][$k]=$row[1];
    $k++;
   }
$form->setSelect("profil",$contenu);
}}}


}// fin de classe
?>